


function estimatedCDF = estcdf(theta, gridR, gridE)


  % specify number of evaluation points and dimension of grid
  
  [E k] = size(gridE);	
  
  % calculate joint CDF at every evaluation point
  
  estimatedCDF = zeros(E, 1);
  
  for e = 1:E
    
      idxR = sum(gridR <= gridE(e, :), 2) == k;
      
      estimatedCDF(e) = sum(theta(idxR));
    
  end
  
    
end