



cdfTrue = function(gridE, betasTrue) {
  
  # specify dimension, number of evaluation points and number of grid points
  
  k = ncol(betasTrue);      E = nrow(gridE);      R = nrow(betasTrue)
  
  
  # calculate estimated joint CDF at every evaluation point
  
  estimatedCDF = numeric(length = E)
  
  for(e in 1:E) {
    
    estimatedCDF[e] = sum(colSums(t(betasTrue) <= gridE[e, ]) == k) / R
    
  }
  
  # return joint CDF
  
  return(estimatedCDF)
  
  
}

