
#!/bin/bash

#PBS -A Project_Name
#PBS -l select=1:ncpus=10:mem=40GB:arch=skylake
#PBS -l walltime=01:59:00
#PBS -N MC_Continuous

set -e

module load R/3.6.1


cd /home/MC_Continuous/Code/


# Start job array by using: qsub -J 0-199 -r y MC_Continuous.sh

jobargs=$(echo "'--args ${PBS_ARRAY_INDEX} /MC_Continuous/Code/'")

jobstr=$(echo "R CMD BATCH --no-save --no-restore ${jobargs} MC_Continuous_Parallel.R MC_${PBS_ARRAY_INDEX}.Rout")


eval ${jobstr}


