

function lambdas = GlmnetLambdas(choiceProbsR, dependentData)

    
    % specify number of rows in regressor matrix
    
    n = size(choiceProbsR, 1);
    
    % calculate lambda max
    
    lambdaMax = max(abs(dependentData' * choiceProbsR)) / n;
    
    % generate sequence
    
    lambdas = exp(linspace(log(lambdaMax), log(lambdaMax * 0.0001), 100)) * 1000;
    

end



