

cdfEst = function(gridE, gridR, theta) {
  
  # specify dimension and number of evaluation points
  
  k = ncol(gridR);      E = nrow(gridE)
  
  
  # calculate joint CDF at every evaluation point
  
  estimatedCDF = numeric(length = E)
  
  for(e in 1:E) {
    
    estimatedCDF[e] = sum(theta[colSums(t(gridR) <= gridE[e, ]) == k])
    
  }
  
  # return estimated joint CDF
  
  return(estimatedCDF)
  
}


