
#!/bin/bash

#PBS -A Project_Name
#PBS -l select=1:ncpus=10:mem=40GB:arch=skylake
#PBS -l walltime=01:59:00
#PBS -N MC_Discrete

set -e

module load R/3.6.1

cd /home/MC_Discrete/Code/


# Start job array by using: qsub -J 0-199 -r y MC_Discrete.sh

jobargs=$(echo "'--args ${PBS_ARRAY_INDEX} /home/MC_Discrete/Code/'")

jobstr=$(echo "R CMD BATCH --no-save --no-restore ${jobargs} MC_Discrete_Parallel.R MC_${PBS_ARRAY_INDEX}.Rout")


eval ${jobstr}


